%define major 2
%define oname libsidplay
%define name    %{oname}%{major}
%define version 2.0.7
%define frelease 5
%define release 5mdk
%define residversion 0.11

Summary:        A Commodore 64 music player and SID chip emulator library.
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source:         %{oname}-%{version}-%{frelease}.tar.bz2
Source1:        resid-%{residversion}.tar.bz2
Patch:          resid-%{residversion}-mute1.patch.bz2
License:        GPL
Group:          System/Libraries
URL:            http://sidplay2.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}%{major}-buildroot
Prefix:         %{_prefix}

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White which requires the ReSID library as
the SID emulator portion.

A modified version of ReSID %{residversion} is included in this package.

%package devel
Summary:        Development headers and libraries for %{name}
Group:          Development/C++
Requires:       %{name} = %{version}
Provides:       %{oname}-devel = %{version}

%description devel
This package includes the header and library files necessary
for developing applications to use %{name}.

%prep
%setup -q -n %{oname}-%{version} -a 1
%patch -p0

%build
cd resid-%{residversion}
export CFLAGS="%optflags -fPIC"
export CXXFLAGS="%optflags -fPIC"
%configure --disable-shared
%make
cd ..
%configure --with-resid=$PWD/resid-%{residversion}
%make

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc COPYING
%{_includedir}/sidplay/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Thu Nov 15 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-5mdk
- fix rpmlint error shlib-with-non-pic-code
- updated source tar ball to 2.0.7-5

* Mon May 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-4mdk
- rebuild

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-3mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- merged with 2.0.7-4 from the home page (updated source tar ball)

* Thu Apr 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-2mdk
- adapted for Mandrake

* Sun Apr 1 2001 Simon White <s_a_white@email.com> 2.0.7-1mdk
- First spec file.

# end of file
